# Query Delivery Schedules

Query Delivery Schedules

 - [POST /queryDeliverySchedules/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/query-delivery-schedules/createquerydeliveryschedule.md): This method will auto-generate an ID and create a new query delivery schedule. If an ID is specified for the query delivery schedule, an error will be thrown.
 - [GET /queryDeliverySchedules/{tenantId}/applicationContext/{application}/{contextId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/query-delivery-schedules/listschedulesbyapplicationcontextid.md): Returns a list of records with the specified application_context_id
 - [POST /queryDeliverySchedules/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/query-delivery-schedules/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [POST /queryDeliverySchedules/{tenantId}/process/{scheduleId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/query-delivery-schedules/processscheduleimmediately.md): Immediately processes a delivery schedule
 - [POST /queryDeliverySchedules/{tenantId}/processWithStepFunction/{scheduleId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/query-delivery-schedules/processscheduleimmediatelywithstepfunction.md): Immediately processes a delivery schedule
 - [DELETE /queryDeliverySchedules/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/query-delivery-schedules/deletequerydeliveryschedule.md): This method will delete a query delivery schedule with the specified ID.
 - [GET /queryDeliverySchedules/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/query-delivery-schedules/getquerydeliveryschedule.md): This method will look up a query delivery schedule by the specified ID and return it back.
 - [PATCH /queryDeliverySchedules/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/query-delivery-schedules/patchquerydeliveryschedule.md): This method will patch an existing query delivery schedule with the specified ID, using the HTTP PATCH specification.
 - [PUT /queryDeliverySchedules/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/query-delivery-schedules/updatequerydeliveryschedule.md): This method will update an existing query delivery schedule with the specified ID.
